class Mocker
  attr_accessor :min_int,
                :max_int,
                :min_float,
                :max_float,
                :words,
                :number_of_words

  def initialize(min_int = 0,
                 max_int = 100,
                 min_float = 0.0,
                 max_float = 100.0,
                 words = 'lorem ipsum dolor sit amet consectetur adipiscing elit'.split(),
                 number_of_words = 1)
    @min_int = min_int
    @max_int = max_int
    @min_float = min_float
    @max_float = max_float
    @words = words
    @number_of_words = number_of_words
  end

  def int
    @int ||= Random.new.rand(min_int..max_int)
  end

  def float
    @float ||= Random.new.rand(min_float..max_float)
  end

  def string
    @string ||= words.sample(number_of_words)
  end
end
